Bug 12259 - Ogg audio files prone to skipping
: Ogg audio files prone to skipping
Status: CLOSED FIXED
Product: ogg-support
Vorbis
: unspecified
: N900 Maemo
: Unspecified normal with 1 vote (vote)
: ---
Assigned To: Tuomas Kulve
: general
:
:
:
:
  Show dependency tree
 
Reported: 2011-06-12 06:28 UTC by Ryan Cristal
Modified: 2011-07-27 11:55 UTC (History)
1 user (show)

See Also:


Attachments
gst-launch -v errors during the skips (6.64 KB, text/plain)
2011-06-13 17:39 UTC, Tuomas Kulve
Details


Note

You need to log in before you can comment on or make changes to this bug.


Description Ryan Cristal (reporter) 2011-06-12 06:28:33 UTC
SOFTWARE VERSION: 
1.1

EXACT STEPS LEADING TO PROBLEM: 
Ogg files are more prone to skipping in latest versions.  The majority play
perfectly, but a significant proportion of files now experience playback
"skipping"--almost all of these files did not have playback problems in 1.0.5.

1. Install ogg-support update, via application manager 
2. play file via stock N900 media player

EXPECTED OUTCOME: 
File plays without incident

ACTUAL OUTCOME: 
File playback will "skip" at certain points during the playback

REPRODUCIBILITY: 
Always - for files that are affected, problems will occur at the same points
during playback

EXTRA SOFTWARE INSTALLED: 
Other packages that may or may not be related-
- extra decoders support
- cute-tube (which is being updated quite frequently by the developer)
- mappero (uses ogg support as a dependency)

OTHER COMMENTS: 
I tried removing the extra decoders and mappero (but not cute-tube), deleted
and attempted a fresh install of ogg-support, and finally rebooted.  This did
not resolve the issue
Comment 1 Tuomas Kulve 2011-06-13 17:39:00 UTC
Created an attachment (id=3377) [details]
gst-launch -v errors during the skips

The attached log shows the "Unexpected discontinuity in audio timestamps"
errors which occurs when the skip is heard.
Comment 2 Tuomas Kulve 2011-06-13 17:42:03 UTC
Felipe, any ideas? Here's link to the gst-launch -v log from the previous
comment: https://bugs.maemo.org/attachment.cgi?id=3377
Comment 3 Felipe Contreras 2011-07-15 15:28:44 UTC
(In reply to comment #2)
> Felipe, any ideas? Here's link to the gst-launch -v log from the previous
> comment: https://bugs.maemo.org/attachment.cgi?id=3377

Can I get a sample clip? Or how can I reproduce?
Comment 4 Tuomas Kulve 2011-07-15 16:16:12 UTC
(In reply to comment #3)
> (In reply to comment #2)
> > Felipe, any ideas? Here's link to the gst-launch -v log from the previous
> > comment: https://bugs.maemo.org/attachment.cgi?id=3377
> 
> Can I get a sample clip? Or how can I reproduce?

Clip sent via email.
Comment 5 Felipe Contreras 2011-07-15 18:53:25 UTC
Right, these clips have a lot of jitter in their timestamps, now the resync
algorithm has been improved and play with no glitches (or at least the same as
before).

Fixed in gst-av 0.5.3-1.
Comment 6 Tuomas Kulve 2011-07-27 11:55:43 UTC
Closing resolved and released Ogg Support bugs.